<?php
/*
页面功能：配合页面Vbook.php,会计凭证记账；
*/
//****************************************请求权限*****************************************
require("locked.php");                                                                 //*
setlocked(8);                                                                          //*
//****************************************************************************************

echo '<html>';
echo '<head>';
echo '<title>处理结果通知：</title>';
echo '<link rel="stylesheet" href="myCss.css" type="text/css" />';
echo '</head><body>';

include("cnn.php");

//记账前必须保证该期间内的所有凭证都已审核；
$sql=$mysqli->query('select * from v1 where qj="'.$_POST[qj].'" and chk is null');
$afr=$sql->num_rows;
if($afr>0){
	echo '记账失败，原因：该期间'.$_POST[qj].'存在未审核的凭证！';
	exit();
}
$sql->free();

//记账前检查该期间内的凭证是否存在断号现象；
$sql=$mysqli->query('select distinct pzh from v1 where qj="'.$_POST[qj].'" order by pzh');
$info=$sql->fetch_array(MYSQLI_BOTH);
if($info){
    $i=1;
	DO{
		if($info[pzh]!=$i){
			echo '记账失败，原因：该期间缺失['.$i.']号凭证，请检查！';
			exit();
		}
		$i++;
	}while($info=$sql->fetch_array(MYSQLI_BOTH));
}
$sql->free();

//以下是调用mysql的存储过程来完成相应的记录操作；
$sql=$mysqli->query("call copyv1tov2('".$_POST[qj]."','".$_SESSION[username]."')");
if($sql){
    echo '记账成功：'.$_POST[qj];
}else{
    echo '记账失败，原因：后台调用未成功：'.$_POST[qj];	
}

echo '</body></html>';

?>